unit Model2Service;

interface

uses
  Aurelius.Mapping.Attributes,
  XData.Server.Module,
  XData.Service.Common;

type
  [ServiceContract]
  [Model('Model2')]
  IModel2Service = interface(IInvokable)
    ['{1118D7AB-B451-4C6B-87EF-7C5FA649FDCC}']
    [HttpGet] function Value: string;
  end;

  [ServiceImplementation]
  TModel2Service = class(TInterfacedObject, IModel2Service)
    function Value: string;
  end;

implementation


{ TModel2Service }

function TModel2Service.Value: string;
begin
  Result := 'Model2';
end;

initialization
  RegisterServiceType(TypeInfo(IModel2Service));
  RegisterServiceType(TModel2Service);

end.
